> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a single person

GET https://api.letsdeel.com/rest/people/{hris_profile_id}

Returns detailed information about a single person in the organization by their public ID. Returns personal details, employment information, organizational structure, person status, direct manager, custom fields, and related data.

 **Token scopes**: `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/people/get-person-by-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `hris_profile_id` (string, required) — Unique identifier for the person.

### Query parameters

- `include_custom_fields` (boolean, optional) — Include custom fields in the response.
- `include_worker_relations` (boolean, optional) — Include worker relations in the response.

## Response

### 200

Successful response

- `data` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `error` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaError, required)

## Types

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Unique identifier for the employee.
- `state` (string, optional, nullable) — The state of the employee.
- `emails` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmailsItems, optional) — An array of the employee's email addresses.
- `country` (string, optional, nullable) — The country of the employee.
- `timezone` (string, optional, nullable) — The timezone of the employee.
- `addresses` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAddressesItems, optional) — An array of address objects containing the employee's physical addresses.
- `full_name` (string, optional) — The full name of the employee.
- `job_title` (string, optional, nullable) — The job title of the employee.
- `last_name` (string, optional) — The last name of the employee.
- `seniority` (string, optional, nullable) — The seniority level of the employee.
- `worker_id` (string, optional) — The worker ID of the employee.
- `birth_date` (string, optional, nullable) — The birth date of the employee.
- `created_at` (string, optional) — The creation timestamp of the employee record.
- `department` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDepartment, optional) — The department of the employee.
- `first_name` (string, optional) — The first name of the employee.
- `start_date` (string, optional, nullable) — The date the employee started working.
- `updated_at` (string, optional, nullable) — Long date-time format following ISO-8601
- `employments` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItems, optional) — An array of employment records associated with the employee, including contract details, team information, payment details, and employment status.
- `external_id` (string, optional, nullable) — The external ID of the employee.
- `hiring_type` (string, optional) — The type of hiring of the employee.
- `hiring_status` (string, optional) — The current hiring status of the employee.
- `nationalities` (list of string, optional) — The nationality of the employee.
- `work_location` (string, optional, nullable) — The work location of the employee.
- `direct_manager` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectManager, optional, nullable) — The direct manager of the employee.
- `direct_reports` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectReportsItems, optional, nullable) — The direct reports to the employee.
- `completion_date` (string, optional, nullable) — The completion date of the task or project.
- `new_hiring_status` (string, optional) — The new hiring status of the employee.
- `additional_details` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAdditionalDetailsItems, optional, nullable) — Country-scoped additional employment data points (national IDs, tax IDs, etc.) sourced from hris_employment_eligibility.eligibility_data. Returned only when the caller's organization has the feature flag enabled and the request is not redacting PII.
- `client_legal_entity` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity, optional) — The primary client legal entity associated with the employee.
- `preferred_last_name` (string, optional, nullable) — The preferred last name of the employee.
- `direct_reports_count` (integer, optional) — The count of direct reports to the employee.
- `preferred_first_name` (string, optional, nullable) — The preferred first name of the employee.
- `active_worker_termination_status` (enum, optional, nullable) — The status of the active worker termination.
  - Allowed values: `PENDING`, `CONTRACT_TERMINATION_DATA_COLLECTED`, `IN_PROGRESS`, `COMPLETED`, `FAILED`, `CANCELED`
- `profile_organizational_structures` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItems, optional) — An array of organizational structures associated with the employee profile.
- `direct_employee_termination_last_day` (string, optional) — The last day of work mentioned on the primary contract termination.
- `custom_fields` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems, optional) — An array of custom field objects containing additional attributes associated with the employee (e.g., Job title, Project code, etc.).

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaError

- `code` (string, required) — Error code identifying the type of error.
- `message` (string, required) — Error message describing what went wrong.
- `details` (string, optional, nullable) — Additional details about the error.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmailsItems

- `type` (string, optional) — The type of email.
- `value` (string, optional, nullable) — The email address.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAddressesItems

- `region` (string, optional) — Region code.
- `country` (string, optional) — Country code.
- `locality` (string, optional) — Locality name.
- `postalCode` (string, optional) — Postal code.
- `streetAddress` (string, optional) — Street and number.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDepartment

The department of the employee.

- `id` (string, optional) — Unique identifier of this resource.
- `name` (string, optional) — The name of the department.
- `parent` (string, optional) — The parent department.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItems

- `id` (string, optional) — Unique identifier for the employment.
- `name` (string, optional) — Name of the employee.
- `team` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsTeam, optional) — The team to which the employee belongs.
- `email` (string, optional) — The work email of the employee.
- `state` (string, optional, nullable) — The state of employment.
- `country` (string, optional, nullable) — The country of employment.
- `payment` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPayment, optional) — Payment information for the employment, including rate, scale, currency, and associated contract name.
- `is_ended` (boolean, optional) — Whether the employment has ended.
- `timezone` (string, optional, nullable) — The timezone of the employment.
- `job_title` (string, optional, nullable) — The job title of the employment.
- `seniority` (string, optional, nullable) — The seniority level of the employment.
- `start_date` (string, optional, nullable) — The start date of the employment.
- `work_email` (string, optional, nullable) — The work email of the employment.
- `hiring_type` (string, optional) — The type of hiring of the employment.
- `hiring_status` (string, optional) — The current hiring status of the employment.
- `completion_date` (string, optional, nullable) — The completion date of the employment contract.
- `contract_status` (string, optional) — The status of the employment contract.
- `voluntarily_left` (boolean, optional, nullable) — Whether the employee voluntarily left the employment.
- `contract_coverage` (enum, optional, nullable) — The coverage type of the employment contract. 'is_shielded' = Contractor of Record, 'is_premium' = Premium, null = Standard (no coverage).
  - Allowed values: `is_shielded`, `is_premium`
- `new_hiring_status` (string, optional) — The new hiring status of the employment.
- `client_legal_entity` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsClientLegalEntity, optional, nullable) — The client legal entity associated with this employment contract.
- `has_eor_termination` (boolean, optional, nullable) — Whether the employment has an EOR termination.
- `contract_is_archived` (boolean, optional) — Whether the employment contract is archived.
- `termination_last_day` (string, optional, nullable) — The last day of work mentioned on the contract termination.
- `contract_has_contractor` (boolean, optional) — Whether the contract has a contractor.
- `is_user_contract_deleted` (boolean, optional) — Whether the user contract is deleted.
- `hris_direct_employee_invitation` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsHrisDirectEmployeeInvitation, optional, nullable) — The HRIS direct employee invitation status.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectManager

The direct manager of the employee.

- `id` (string, optional) — Unique identifier for the manager.
- `last_name` (string, optional) — The last name of the manager.
- `worker_id` (double, optional) — The worker ID of the manager.
- `first_name` (string, optional) — The first name of the manager.
- `work_email` (string, optional, nullable) — The work email of the manager.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectReportsItems

- `id` (string, optional) — Unique identifier for the direct report.
- `last_name` (string, optional) — The last name of the direct report.
- `first_name` (string, optional) — The first name of the direct report.
- `work_email` (string, optional, nullable) — The work email of the direct report.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAdditionalDetailsItems

- `type` (string, optional) — Field name (the JSONB key from hris_employment_eligibility.eligibility_data, e.g. socialSecurity, idNumber, taxIdentificationNumber).
- `value` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAdditionalDetailsItemsValue, optional) — Raw value associated with the field. May be a string, number, boolean, or null.
- `country` (string, optional) — ISO-2 country code that scopes this entry.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity

The primary client legal entity associated with the employee.

- `id` (string, optional, nullable) — Unique identifier of this resource.
- `name` (string, optional, nullable) — The name of the client legal entity.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItems

- `id` (string, optional) — Id of the Organizational structure.
- `name` (string, optional) — Name of the Organizational structure.
- `teams` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItems, optional) — List of teams in the organizational structure.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems

Customized attributes on people (Job title, Project code, etc).

- `name` (string, optional) — Custom field property name.
- `value` (string, optional, nullable) — Custom field property value.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsTeam

The team to which the employee belongs.

- `id` (string, optional) — Refers to Groups in the platform. Working groups that reflect the organization's structure.
- `name` (string, optional) — The team name.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPayment

Payment information for the employment, including rate, scale, currency, and associated contract name.

- `rate` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPaymentRate, optional) — The payment rate. Value is a string if contract type is PEO.
- `scale` (string, optional, nullable) — The payment scale (e.g., hourly, weekly, monthly, etc.)
- `currency` (string, optional) — The currency code (ISO 4217) for the payment
- `contract_name` (string, optional) — The name of the contract associated with the payment

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsClientLegalEntity

The client legal entity associated with this employment contract.

- `id` (string, optional, nullable) — Unique identifier of this resource.
- `name` (string, optional, nullable) — The name of the client legal entity.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsHrisDirectEmployeeInvitation

The HRIS direct employee invitation status.

- `oid` (string, optional) — Unique identifier of this resource.
- `status` (string, optional, nullable) — The HRIS direct employee invitation status.
- `send_at` (string, optional, nullable) — The HRIS direct employee invitation send date.
- `timezone` (string, optional, nullable) — The HRIS direct employee invitation timezone.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAdditionalDetailsItemsValue

Raw value associated with the field. May be a string, number, boolean, or null.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItems

- `id` (string, optional) — Id of the team.
- `name` (string, optional) — Name of the team.
- `positions` (list of PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItems, optional) — An array of positions held by the employee within this team.
- `name_hierarchy` (string, optional, nullable) — Hierarchy of the team.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPaymentRate

The payment rate. Value is a string if contract type is PEO.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItems

- `id` (string, optional) — Id of the position.
- `role` (PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItemsRole, optional, nullable) — The role associated with this position, including role ID and name.
- `is_supportive` (boolean, optional) — Whether the position is supportive or not.

### PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItemsRole

The role associated with this position, including role ID and name.

- `id` (string, optional) — Id of the role.
- `name` (string, optional) — Name of the role.

## Examples

**Response**

```json
{
  "data": {
    "id": "9b9fc43a-a90c-4615-ac50-baf1e314b53e",
    "state": "Active",
    "emails": [
      {
        "type": "work",
        "value": "work.email@example.com"
      }
    ],
    "country": "USA",
    "timezone": "EST",
    "addresses": [
      {
        "region": "CO",
        "country": "US",
        "locality": "Denver",
        "postalCode": "44000",
        "streetAddress": "Deel Street 500"
      }
    ],
    "full_name": "John Doe",
    "job_title": "Access Field Technician",
    "last_name": "Doe",
    "seniority": "Junior (Individual Contributor Level 1)",
    "worker_id": "123",
    "birth_date": "1990-01-01T00:00:00.000Z",
    "created_at": "2023-03-21T10:27:25.950Z",
    "department": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "Delivery team",
      "parent": "Research and Development"
    },
    "first_name": "John",
    "start_date": "2023-03-20",
    "updated_at": "2022-05-24T09:38:46.235Z",
    "employments": [
      {
        "id": "mzj524j",
        "name": "Khizar Naeem",
        "team": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "Delivery team"
        },
        "email": "some@example.com",
        "state": "Active",
        "country": "USA",
        "payment": {
          "rate": 100,
          "scale": "hourly",
          "currency": "USD",
          "contract_name": "Contract 1"
        },
        "is_ended": false,
        "timezone": "EST",
        "job_title": "Access Field Technician",
        "seniority": "Junior (Individual Contributor Level 1)",
        "start_date": "2023-03-20",
        "work_email": "work.email@example.com",
        "hiring_type": "contractor",
        "hiring_status": "onboarding",
        "completion_date": "2023-06-20T00:00:00.000Z",
        "contract_status": "waiting_for_client_sign",
        "voluntarily_left": true,
        "contract_coverage": "is_shielded",
        "new_hiring_status": "onboarding_overdue",
        "client_legal_entity": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "Acme Corporation"
        },
        "has_eor_termination": true,
        "contract_is_archived": false,
        "termination_last_day": "2023-03-21T10:27:25.950Z",
        "contract_has_contractor": true,
        "is_user_contract_deleted": false,
        "hris_direct_employee_invitation": {
          "oid": "rJ7PUDgbp9L6",
          "status": "DISABLED",
          "send_at": "2023-03-21T10:27:25.950Z",
          "timezone": "EST"
        }
      }
    ],
    "external_id": "9b9fc43a-a90c-4615-ac50-baf1e314b53e",
    "hiring_type": "contractor",
    "hiring_status": "onboarding",
    "nationalities": [
      "American"
    ],
    "work_location": "Remote",
    "direct_manager": {
      "id": "642b0547-9d80-4d35-a085-fd977ef209ef",
      "last_name": "John",
      "worker_id": 30,
      "first_name": "Doe",
      "work_email": "john.doe@example.com"
    },
    "direct_reports": [
      {
        "id": "642b0547-9d80-4d35-a085-fd977ef209ef",
        "last_name": "John",
        "first_name": "Doe",
        "work_email": "john.doe@example.com"
      }
    ],
    "completion_date": "2023-06-20T00:00:00.000Z",
    "new_hiring_status": "onboarding_overdue",
    "additional_details": [
      {
        "type": "socialSecurity",
        "value": "123-12-1234",
        "country": "US"
      }
    ],
    "client_legal_entity": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "Acme Corporation"
    },
    "preferred_last_name": "Doe",
    "direct_reports_count": 0,
    "preferred_first_name": "John",
    "active_worker_termination_status": "IN_PROGRESS",
    "profile_organizational_structures": [
      {
        "id": "642b0547-9d80-4d35-a085-dg377ef209d3",
        "name": "Department",
        "teams": [
          {
            "id": "642b0547-9d80-4d35-a085-dg377ef209d3",
            "name": "Team A",
            "positions": [
              {
                "id": "642b0547-9d80-4d35-a085-dg377ef209d3",
                "role": {
                  "id": "642b0547-9d80-4d35-a085-dg377ef209d3",
                  "name": "Role A"
                },
                "is_supportive": true
              }
            ],
            "name_hierarchy": "Team A / Team B"
          }
        ]
      }
    ],
    "direct_employee_termination_last_day": "2023-03-21",
    "custom_fields": [
      {
        "name": "Job title",
        "value": "Software Engineer II"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e"

querystring = {"include_custom_fields":"true","include_worker_relations":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```